/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.personinformation;

public enum ErrorMessage {
    // Any changes in error messages must be documented in the 'anvender guide'.
    MAX_ALLOWED_SIZE_ERROR("Forespørgslen returnerer for meget logdata, prøv at anvende sideindeling (paginering) og spørg på færre data/mindre datointerval."),
    PERSON_INFORMATION_SERVICE_CALLERROR404("Fejl i retursvar fra PersonInformation. (404) forkert contentType"),
    PERSON_INFORMATION_SERVICE_CALL_CONTENT_TYPE_WRONG("PersonInformation kunne ikke anvendes, fordi servicen returnerede uventet contentType."),
    PERSON_INFORMATION_SERVICE_CALL_UNKNOWN_STATUS("PersonInformation ikke ikke anvendes, fordi kaldet til PersonInformation-servicen returnerede en uventet statuskode: %s"),
    PERSON_INFORMATION_SERVICE_CALL_PARSE_ERROR("PersonInformation kunne ikke anvendes, fordi svaret ikke kunne læses"),
    PERSON_INFORMATION_SERVICE_CALL_FAILED("Kaldet til PersonInformationService er fejlet.");

    private final String message;

    public String getMessage() {
        return this.message;
    }

    public String getAndFormatMessage(String... args) {
        return String.format(this.message, args);
    }

    ErrorMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return message;
    }
}
