/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.cleanup.service;

import java.time.Instant;

public class ErrorMessages {
    public static String cleanupCouldNotAccessDatabase() {
        return "Der var et problem med at tilgå databasen under oprydning";
    }

    public static String cleanupErrorReading(String prefix) {
        return String.format("Der opstod en fejl i forbindelse med læsning af LogEntry til sletning med personId prefix: %s", prefix);
    }

    public static String cleanupErrorReading() {
        return String.format("Der opstod en fejl i forbindelse med læsning af LogEntry til sletning");
    }

    public static String cleanupDeleteFailed(int count) {
        return String.format("Der opstod en fejl under sletning af data: %d", count);
    }

    public static String cleanupRetrieveDeceased(Instant latestDeceasedTime) {
        return String.format("Der opstod en fejl efter kald til PersonInformation for afdøde med skæringsdato: %s", latestDeceasedTime.toString());
    }

    public static String cleanupRetrieveEmigrated(Instant latestDeceasedTime) {
        return String.format("Der opstod en fejl efter kald til PersonInformation for udrejste med skæringsdato: %s", latestDeceasedTime.toString());
    }

    public static String dbHealthIndicatorAlarm(String jndiName) {
        return String.format("Der er ingen forbindelse til databasen med JNDI navnet %s.", jndiName);
    }
}
