/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.cleanup.ws;

import dk.sundhedsdatastyrelsen.organdonor.backgroundjob.health.AlarmIndicator;
import dk.sundhedsdatastyrelsen.organdonor.backgroundjob.service.StackedOperationsService;
import dk.sundhedsdatastyrelsen.organdonor.backgroundjob.ws.AbstractOperationsAlarmServlet;
import dk.sundhedsdatastyrelsen.organdonor.cleanup.service.DBHealthIndicator;
import dk.sundhedsdatastyrelsen.organdonor.cleanup.service.PersonInformationHealthIndicator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;
import java.util.ArrayList;
import java.util.List;

/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

@WebServlet(name="Minlog2CleanupAlarmServlet", urlPatterns={"/odr-slettejob/alarm"})
public class OrganDonorCleanupAlarmServlet extends AbstractOperationsAlarmServlet {
    @Autowired
    @Qualifier("organDonorDeceasedCleanupService")
    private StackedOperationsService organDonorDeceasedCleanupService;

    @Autowired
    @Qualifier("organDonorEmigratedCleanupService")
    private StackedOperationsService organDonorEmigratedCleanupService;

    @Autowired
    private DBHealthIndicator dbHealthIndicator;

    @Autowired
    private PersonInformationHealthIndicator personInformationHealthIndicator;

    @Override
    protected List<AlarmIndicator> buildAlarmIndicators() {
        List<AlarmIndicator> statusIndicators =  new ArrayList<>();
        statusIndicators.add(dbHealthIndicator);
        statusIndicators.add(organDonorDeceasedCleanupService);
        statusIndicators.add(organDonorEmigratedCleanupService);
        statusIndicators.add(personInformationHealthIndicator);
        return statusIndicators;
    }
}
